Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-53944

Findbugs pulls in a very old Xerces library version

    Details

    • Similar Issues:

      Description

      Looking at the pom I can see that the findbugs plugin pulls in 2.9.1 of the xerces library. Is it possible to step this up to a newer version?

      This caused an issue in the pipeline maven plugin which was difficult to track down.

        Attachments

          Activity

          Show
          ataylor Alex Taylor added a comment - https://github.com/jenkinsci/findbugs-plugin/pull/16 to update
          Hide
          drulli Ulli Hafner added a comment -

          I finally removed the Xerces dependency from the findbugs parser. It is released in the beta of the new warnings plugin. Is it important to release it in the old and deprecated findbugs plugin as well?

          BTW: are reporting plugins like findbugs and warnings automatically supported by the the pipeline maven plugin or do you to hard-code these tools?

          Show
          drulli Ulli Hafner added a comment - I finally removed the Xerces dependency from the findbugs parser. It is released in the beta of the new warnings plugin . Is it important to release it in the old and deprecated findbugs plugin as well? BTW: are reporting plugins like findbugs and warnings automatically supported by the the pipeline maven plugin or do you to hard-code these tools?

            People

            • Assignee:
              drulli Ulli Hafner
              Reporter:
              ataylor Alex Taylor
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: